## DzlSlider

DzlSlider

## Functions

GtkWidget * | dzl_slider_new ()
void | dzl_slider_add_slider ()
DzlSliderPosition | dzl_slider_get_position ()
void | dzl_slider_set_position ()

## Properties

DzlSliderPosition | position | Read / Write

## Types and Values

#define | DZL_TYPE_SLIDER
struct | DzlSliderClass
| DzlSlider

## Object Hierarchy

        GEnum
        ╰── DzlSliderPosition
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlSlider

## Implemented Interfaces

DzlSlider implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_slider_new ()

    GtkWidget *
    dzl_slider_new (void);

### dzl_slider_add_slider ()

    void
    dzl_slider_add_slider (DzlSlider *self,
                           GtkWidget *widget,
                           DzlSliderPosition position);

### dzl_slider_get_position ()

    DzlSliderPosition
    dzl_slider_get_position (DzlSlider *self);

### dzl_slider_set_position ()

    void
    dzl_slider_set_position (DzlSlider *self,
                             DzlSliderPosition position);

## Types and Values

### DZL_TYPE_SLIDER

    #define DZL_TYPE_SLIDER          (dzl_slider_get_type())

### struct DzlSliderClass

    struct DzlSliderClass {
      GtkContainerClass parent_instance;
    };

### DzlSlider

    typedef struct _DzlSlider DzlSlider;

## Property Details

### The `“position”` property

      “position”                 DzlSliderPosition

Which slider child is visible.

Owner: DzlSlider

Flags: Read / Write

Default value: DZL_SLIDER_NONE